Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
agora::rtc::TranscodingVideoStream Struct Reference

`#include <AgoraBase.h>`

## Public Member Functions
| TranscodingVideoStream ()

## Public Attributes
VIDEO_SOURCE_TYPE | sourceType
uid_t | remoteUserUid
const char * | imageUrl
int | mediaPlayerId
int | x
int | y
int | width
int | height
int | zOrder
double | alpha
bool | mirror

## Detailed Description

The video streams for the video mixing on the local client.

## Constructor & Destructor Documentation

## ◆ TranscodingVideoStream()

agora::rtc::TranscodingVideoStream::TranscodingVideoStream | ( |  | ) |
| inline

## Member Data Documentation

## ◆ sourceType

VIDEO_SOURCE_TYPE agora::rtc::TranscodingVideoStream::sourceType

The source type of video for the video mixing on the local client. See VIDEO_SOURCE_TYPE.

## ◆ remoteUserUid

uid_t agora::rtc::TranscodingVideoStream::remoteUserUid

The ID of the remote user.

Note
  Use this parameter only when the source type of the video for the video mixing on the local client is `VIDEO_SOURCE_REMOTE`.

## ◆ imageUrl

const char* agora::rtc::TranscodingVideoStream::imageUrl

The URL of the image.

Note
  Use this parameter only when the source type of the video for the video mixing on the local client is `RTC_IMAGE`.

## ◆ mediaPlayerId

int agora::rtc::TranscodingVideoStream::mediaPlayerId

MediaPlayer id if sourceType is MEDIA_PLAYER_SOURCE.

## ◆ x

int agora::rtc::TranscodingVideoStream::x

The horizontal displacement of the top-left corner of the video for the video mixing on the client relative to the top-left corner (origin) of the canvas for this video mixing.

## ◆ y

int agora::rtc::TranscodingVideoStream::y

The vertical displacement of the top-left corner of the video for the video mixing on the client relative to the top-left corner (origin) of the canvas for this video mixing.

## ◆ width

int agora::rtc::TranscodingVideoStream::width

The width (px) of the video for the video mixing on the local client.

## ◆ height

int agora::rtc::TranscodingVideoStream::height

The height (px) of the video for the video mixing on the local client.

## ◆ zOrder

int agora::rtc::TranscodingVideoStream::zOrder

The number of the layer to which the video for the video mixing on the local client belongs. The value range is [0,100].

- 0: (Default) The layer is at the bottom.
- 100: The layer is at the top.

## ◆ alpha

double agora::rtc::TranscodingVideoStream::alpha

The transparency of the video for the video mixing on the local client. The value range is [0.0,1.0]. 0.0 means the transparency is completely transparent. 1.0 means the transparency is opaque.

## ◆ mirror

bool agora::rtc::TranscodingVideoStream::mirror

Whether to mirror the video for the video mixing on the local client.

- true: Mirroring.
- false: (Default) Do not mirror.
  Note
    The paramter only works for videos with the source type `CAMERA`.